<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema" exclude-result-prefixes="xs" version="2.0">
    <xsl:template match="/">
        <!-- alle Personen im Personenregister ausgeben lassen -->
        <!-- für jede Person tue etwas -->
        <html>
            <ol>
        <xsl:for-each select="//listPerson/person[persName/surname/text()]">
            <xsl:sort select="sex/@value"/>
            <xsl:sort select="death/date/@when-iso - birth/date/@when-iso" data-type="number" order="descending"/>
            <!-- Ausgabe mit: value-of -->
            <li>
            <xsl:value-of select="sex/@value"/> - <xsl:value-of select="death/date/@when-iso - birth/date/@when-iso"/> - <xsl:value-of select="persName/surname"/>
            <xsl:if test="persName/forename/text()">, </xsl:if>
            <xsl:value-of select="persName/forename"/> <xsl:if test="(birth/date/@when-iso) or (death/date/@when-iso)">(<xsl:value-of
                select="birth/date/@when-iso"/>-<xsl:value-of select="death/date/@when-iso"
            />)</xsl:if><xsl:text>
            </xsl:text>
            </li>
        </xsl:for-each>
            </ol>
        </html>
    </xsl:template>
</xsl:stylesheet>
